Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun GlassFish(tm) Message Queue v4.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.messaging.jms
Interface QueueConnection

All Superinterfaces:
  Connection, QueueConnection

    public interface QueueConnection

extends QueueConnection

Provide interface to create a MQ NO_ACKNOWLEDGE queue session.

Method Summary
`QueueSession` | `createQueueSession(int acknowledgeMode)` Creates a `QueueSession` object.

Methods inherited from interface javax.jms.QueueConnection
`createConnectionConsumer, createQueueSession`

Methods inherited from interface javax.jms.Connection
`close, createConnectionConsumer, createDurableConnectionConsumer, createSession, getClientID, getExceptionListener, getMetaData, setClientID, setExceptionListener, start, stop`

Method Detail

### createQueueSession

    QueueSession createQueueSession(int acknowledgeMode)
                                    throws JMSException

  Creates a `QueueSession` object.

  Parameters:
    `acknowledgeMode` - indicates whether the consumer or the client will acknowledge any messages it receives; Legal values are `Session.AUTO_ACKNOWLEDGE`, `Session.CLIENT_ACKNOWLEDGE`, `Session.DUPS_OK_ACKNOWLEDGE`, and `com.sun.messaging.jms.Session.NO_ACKNOWLEDGE`
  Returns:
    a newly created session
  Throws:
    `JMSException` - if the `QueueConnection` object fails to create a session due to some internal error or lack of support for the specific transaction and acknowledgement mode.
    `JMSException`
  See Also:
    `Session.AUTO_ACKNOWLEDGE`, `Session.CLIENT_ACKNOWLEDGE`, `Session.DUPS_OK_ACKNOWLEDGE`, `Session.NO_ACKNOWLEDGE`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun GlassFish(tm) Message Queue v4.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2009 Sun Microsystems, Inc. 4150 Network Circle,
Santa Clara, California, 95054, U.S.A. All Rights Reserved.